GIT-PATCH-ID(1)

NAME
git-patch-id - Generate a patch ID.

SYNOPSIS
git-patch-id < <patch>.sp

DESCRIPTION
A "patch ID" is nothing but a SHA1 of the diff associated with a patch, with whitespace and line numbers ignored. As such, it's "reasonably stable", but at the same time also reasonably unique, ie two patches that have the same "patch ID" are almost guaranteed to be the same thing..sp IOW, you can use this thing to look for likely duplicate commits..sp When dealing with git-diff-tree output, it takes advantage of the fact that the patch is prefixed with the object name of the commit, and outputs two 40-byte hexadecimal string. The first string is the patch ID, and the second string is the commit ID. This can be used to make a mapping from patch ID to commit ID..sp

OPTIONS

<patch>
    The diff to create the ID of.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp